/*
BUILD INFO:
  dir: dev
  target: main.js
  files: 2
*/



// file: items/tool/Start.js

importLib("ToolType", "*");
IDRegistry.genItemID("MetalKnife");
Item.createThrowableItem("MetalKnife", "Нож", {name: "Knifes.", meta: 0}, {stack: 1});
Item.setMaxDamage(ItemID.MetalKnife, 5);
Recipes.addShaped({id: ItemID.MetalKnife, count: 1, data: 0}, [
	"  b",
	" a ",
], ['a', 280, 0, 'b', 265, 0]);
Item.describeItem("MetalKnife", { category: 0, enchant: {value: 0, type: 0}, toolRender: false, maxDamage: 0, stackByData: false, properties: {}, useAnimation: 0
 });


IDRegistry.genItemID("arming");
Item.createItem("arming", "Рукоять", {name: "MechArm", meta: 0}, {stack: 64});
Item.setMaxDamage(ItemID.arming, 0);
Recipes.addShaped({id: ItemID.arming, count: 1, data: 0}, [
" a ",
"aba",
" a "
], ['a', 334, 0, 'b', 280, 0]);

IDRegistry.genItemID("Blade");
Item.createItem("Blade", "Лезвие", {name: "MechBlade", meta: 0}, {stack: 64});
Item.setMaxDamage(ItemID.Blade, 0);
Recipes.addShaped({id: ItemID.Blade, count: 1, data: 0}, [
" a ",
" a ",
" a "
], ['a', 265, 0]);

IDRegistry.genItemID("Blade1");
Item.createItem("Blade1", "Верхушка лезвия", {name: "MechBlade", meta: 1}, {stack: 64});
Item.setMaxDamage(ItemID.Blade1, 0);
Recipes.addShaped({id: ItemID.Blade1, count: 1, data: 0}, [
"   ",
" a ",
"аaа"
], ['a', 265, 0]);

IDRegistry.genItemID("Blade2");
Item.createItem("Blade2", "Верхушка лезвия", {name: "MechBlade", meta: 2}, {stack: 64});
Item.setMaxDamage(ItemID.Blade2, 0);
Recipes.addShaped({id: ItemID.Blade2, count: 1, data: 0}, [
"a  ",
"aa ",
"aaа"
], ['a', 265, 0]);

IDRegistry.genItemID("Knight-spawn");
Item.createItem("Knight-spawn", "создать существо Падший Рыцарь", {name: "spawnKnight"});
Item.registerUseFunction("Knight-spawn", function(coords, item, block){
Entity.spawnCustom("Knight", coords.relative.x + .5, coords.relative.y + .5, coords.relative.z + .5); 
});

IDRegistry.genItemID("DarkestEss");
Item.createItem("DarkestEss", "Эссенция тьмы", {name: "DarkEst", meta: 0}, {stack: 64});
Item.setMaxDamage(ItemID.DarkestEss, 0);

IDRegistry.genItemID("Darkillo");
Item.createItem("Darkillo", "Сильная эссенция тьмы", {name: "Darkillor", meta: 0}, {stack: 64});
Item.setMaxDamage(ItemID.Darkillo, 0);
Recipes.addShaped({id: ItemID.Darkillo, count: 1, data: 0}, [
"aaa",
"aba",
"aaa"
], ['b', 264, 0, 'a', ItemID.DarkestEss, 0]);

IDRegistry.genItemID("BSword");
Item.createItem("BSword", "Меч", {name: "Bsword", meta: 0}, {stack: 1});
ToolAPI.addToolMaterial("BSword", {durability: 250, level: 0, efficiency: 3, damage: 6.5, enchantability: 14});
ToolAPI.setTool(ItemID.BSword, "BSword", ToolType.sword);
Recipes.addShaped({id: ItemID.BSword, count: 1, data: 0}, [
" a ",
" b ",
" c "
], ['b', ItemID.Blade, 0, 'a', ItemID.Blade1, 0, 'c', ItemID.arming, 0]);

IDRegistry.genItemID("IKatanaI");
Item.createItem("IKatanaI", "Катана", {name: "IKatanaI", meta: 0}, {stack: 1});
ToolAPI.addToolMaterial("IKatanaI", {durability: 195, level: 0, efficiency: 35, damage: 5, enchantability: 14});
ToolAPI.setTool(ItemID.IKatanaI, "IKatanaI", ToolType.sword);
Recipes.addShaped({id: ItemID.IKatanaI, count: 1, data: 0}, [
" a ",
" b ",
" c "
], ['b', ItemID.Blade, 0, 'a', ItemID.Blade2, 0, 'c', ItemID.arming, 0]);




// file: items/tool/Items.js

importLib("ToolType", "*");
IDRegistry.genItemID("Rukoyat");
Item.createItem("Rukoyat", "Железная рукоять", {name: "Rukoyat", meta: 0}, {stack: 64});
Recipes.addShaped({id: ItemID.Rukoyat, count: 1, data: 0}, [
"aaa",
" b ",
" b "
], ['a', 265, 0, 'b', ItemID.Trubka, 0]);

IDRegistry.genItemID("Trubka");
Item.createItem("Trubka", "Железная палка", {name: "Trubka", meta: 0}, {stack: 64});
Recipes.addShaped({id: ItemID.Trubka, count: 4, data: 0}, [
"a  ",
" a ",
"   "
], ['a', 42, 0]);

IDRegistry.genItemID("RukoyatD");
Item.createItem("RukoyatD", "Рукоять с алмазом", {name: "RukoyatD", meta: 0}, {stack: 64});
Recipes.addShaped({id: ItemID.RukoyatD, count: 1, data: 0}, [
"   ",
" b ",
" a "
], ['b', 264, 0, 'a', ItemID.Rukoyat, 0]);

IDRegistry.genItemID("RukoyatE");
Item.createItem("RukoyatE", "Рукоять с изумрудом", {name: "RukoyatE", meta: 0}, {stack: 64});
Recipes.addShaped({id: ItemID.RukoyatE, count: 1, data: 0}, [
"   ",
" b ",
" a "
], ['b', 388, 0, 'a', ItemID.Rukoyat, 0]);

IDRegistry.genItemID("MechN2");
Item.createItem("MechN2", "Мачете", {name: "MechN2", meta: 0}, {stack: 1});
ToolAPI.addToolMaterial("MechN2", {durability: 230, level: 0, efficiency: 10, damage: 7, enchantability: 14});
ToolAPI.setTool(ItemID.MechN2, "MechN2", ToolType.sword);
Recipes.addShaped({id: ItemID.MechN2, count: 1, data: 0}, [
" a ",
" b ",
" cg"
], ['b', ItemID.Blade, 0, 'a', ItemID.Blade2, 0, 'c', ItemID.arming, 0, 'g', 265, 0]);

IDRegistry.genItemID("MechN3");
Item.createItem("MechN3", "Надзиратель", {name: "MechN3", meta: 0}, {stack: 1});
ToolAPI.addToolMaterial("MechN3", {durability: 200, level: 2, efficiency: 5, damage: 8, enchantability: 9});
ToolAPI.setTool(ItemID.MechN3, "MechN3", ToolType.sword);
Recipes.addShaped({id: ItemID.MechN3, count: 1, data: 0}, [
" a ",
" b ",
" c "
], ['b', ItemID.Blade, 0, 'a', ItemID.Blade2, 0, 'c', ItemID.arming, 0]);

IDRegistry.genItemID("MechN4");
Item.createItem("MechN4", "Костяной меч", {name: "MechN4", meta: 0}, {stack: 1});
ToolAPI.addToolMaterial("MechN4", {durability: 120, level: 0, efficiency: 10, damage: 5.5, enchantability: 14});
ToolAPI.setTool(ItemID.MechN4, "MechN4", ToolType.sword);
Recipes.addShaped({id: ItemID.MechN4, count: 1, data: 0}, [
" a ",
" a ",
" c "
], ['c', ItemID.arming, 0, 'a', 352, 0]);

IDRegistry.genItemID("MechN5");
Item.createItem("MechN5", "Стекляшка", {name: "MechN5", meta: 0}, {stack: 1});
ToolAPI.addToolMaterial("MechN5", {durability: 2, level: 0, efficiency: 10, damage: 3, enchantability: 14});
ToolAPI.setTool(ItemID.MechN5, "MechN5", ToolType.sword);
Recipes.addShaped({id: ItemID.MechN5, count: 1, data: 0}, [
" a ",
" a ",
" c "
], ['c', ItemID.arming, 0, 'a', 352, 0]);

IDRegistry.genItemID("MechN6");
Item.createItem("MechN6", "Жало", {name: "MechN6", meta: 0}, {stack: 1});
ToolAPI.addToolMaterial("MechN6", {durability: 170, level: 0, efficiency: 10, damage: 6, enchantability: 14});
ToolAPI.setTool(ItemID.MechN6, "MechN6", ToolType.sword);
Recipes.addShaped({id: ItemID.MechN6, count: 1, data: 0}, [
"kbk",
"kak",
"kck"
], ['c', ItemID.RukoyatE, 0, 'k', 106, 0, 'a', ItemID.Blade, 0, 'b', ItemID.Blade1, 0]);
Callback.addCallback("PlayerAttack", function(player, entity){
 if(Player.getCarriedItem().id == ItemID.MechN6){
Entity.addEffect(entity, 20, 200, 1, false, false)
 }
});




